> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company

> Create a company in your workspace



## OpenAPI

````yaml POST /v1/companies
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/companies:
    post:
      description: Create a company in your workspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - activityTypeKey
                - memberId
              properties:
                name:
                  type: string
                  description: Name of the company
                industry:
                  type: string
                  description: Industry of the company
                address:
                  type: string
                  description: Address of the company
                domain:
                  type: string
                  description: Domain of the company
                employees:
                  type: number
                  description: Number of employees of the company
                foundedAt:
                  type: string
                  format: date-time
                  description: Founded at of the company
                logoUrl:
                  type: string
                  description: Logo URL of the company
                tags:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: Tags of the company
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Company'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    Company:
      type: object
      properties:
        company:
          type: object
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
            industry:
              type: string
            address:
              type: string
            domain:
              type: string
            employees:
              type: number
            foundedAt:
              type: string
              format: date-time
            logoUrl:
              type: string
            tags:
              type: array
              items:
                type: string
            source:
              type: string
            workspaceId:
              type: string
              format: uuid
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````